GraphQL

GraphQL default endpoints

GraphQL POST request

SecuritybearerAuth
Request
Request Body schema: application/json
query
required
string non-empty
object

Variables simplify GraphQL queries by letting you pass data separately. Can be declared after the query and are passed like arguments to a function and begin with $.

Responses
200

The passed query got executed.

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

415

Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

post/cf/graphql
Request samples
application/json
{
  • "query": "query (\n $sort: String\n $after: String\n $first: Int\n $filter: String\n) {\n contentFragments(sort: $sort, after: $after, limit: $first, filter: $filter) {\n edges {\n node {\n path\n title\n status\n statusPreview\n created {\n at\n by\n }\n modified {\n at\n by\n }\n tags { id name path description title titlePath }\n modifiedOrCreated {\n at\n by\n }\n published {\n at\n by\n }\n model {\n name\n path\n }\n parent {\n path\n name\n title\n }\n }\n }\n pageInfo {\n startCursor\n endCursor\n hasNextPage\n hasPreviousPage\n }\n }\n}\n",
  • "variables": {
    }
}
Response samples
application/json
{
  • "data": {
    }
}

GraphQL GET request

SecuritybearerAuth
Request
query Parameters
query
required
string

GraphQL query string

variables
string

Variables simplify GraphQL queries by letting you pass data separately. Can be declared after the query are passed like arguments to a function and begin with $.

Responses
200

The passed query got executed.

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/graphql
Request samples
Response samples
application/json
{
  • "data": {
    }
}